VLC can't play videos with fresh OS13.2 install

Just installed opensuse 13.2, and VLC doesn’t play videos.

No suitable decoder module:

VLC does not support the audio or video format “h264”. Unfortunately there is no way for you to fix this.

No suitable decoder module:

VLC does not support the audio or video format “mp4a”. Unfortunately there is no way for you to fix this.

I searched the web, all answers point to installing vlc-codec. Doesnt’ exist in my repos.
I activated many new repos, it’s just not anywhere.

I tried

zypper install libxine2-codecs k3b-codecs  ffmpeg lame gstreamer-plugins-bad gstreamer-plugins-ugly  gstreamer-plugins-ugly-orig-addon gstreamer-plugins-libav libdvdcss2

as suggested in http://boyeka.com/things-installing-opensuse-13-2/
I get a bunch of

'ffmpeg' not found in package names. Trying capabilities.
No provider of 'ffmpeg' found.
'lame' not found in package names. Trying capabilities.
No provider of 'lame' found.
'libdvdcss2' not found in package names. Trying capabilities.
No provider of 'libdvdcss2' found.
Resolving package dependencies...

I tried http://software.opensuse.org/package/opensuse-codecs-installer
It asks to uninstall packagekit-gstreamer, I do, and it still doesn’t work

Please make sure you have

vlc-codecs

see also
https://forums.opensuse.org/entry.php/160-openSUSE-13-2-Multimedia-Guide

From which Repo have you installed vlc?

zypper se -si vlc

Packman and Videolan Repo at same time is not a good choice. Deactivate Videolan Repo and activate Packman Repo , then you can install the needed codecs.

zypper lr -uP